//
//  View.m
//  Video
//
//  Created by Mark Meretzky on 11/1/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "View.h"
#import "videoAppDelegate.h"	//so View.m can mention touchUpInside:

@implementation View

- (id) initWithFrame: (CGRect) frame
{
    self = [super initWithFrame: frame];
    if (self) {
        // Initialization code
		self.backgroundColor = [UIColor whiteColor];

		//Center the button in the view.
		button = [UIButton buttonWithType: UIButtonTypeRoundedRect];

		NSDictionary *attributes = [NSDictionary
			dictionaryWithObject: button.titleLabel.font
			forKey: NSFontAttributeName
		];

		NSString *string = @"Fred Ott’s Sneeze"; //apostrophe, not single quote
		CGFloat margin = 6;	//pairs of pixels
		CGSize s = [string sizeWithAttributes: attributes]; //size of button
		s = CGSizeMake(s.width + 2 * margin, s.height + 2 * margin);
		CGRect b = self.bounds;

		button.frame = CGRectMake(
			b.origin.x + (b.size.width - s.width) / 2,
			b.origin.y + (b.size.height - s.height) / 2,
			s.width,
			s.height
		);

		button.backgroundColor = [UIColor yellowColor];
		[button setTitleColor: [UIColor redColor] forState: UIControlStateNormal];
		[button setTitle: string forState: UIControlStateNormal];

		[button addTarget: [UIApplication sharedApplication].delegate
			action: @selector(touchUpInside:)
			forControlEvents: UIControlEventTouchUpInside
		];

		[self addSubview: button];
    }
    return self;
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect) rect
{
	// Drawing code
}
*/

@end
